# Method: targetingTypes.targetingOptions.get

> [!WARNING]
> Display \& Video 360 API v1 has been sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v1/targetingTypes.targetingOptions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v1/targetingTypes.targetingOptions/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v1/targetingTypes.targetingOptions/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v1/targetingTypes.targetingOptions/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v1/targetingTypes.targetingOptions/get#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/api/reference/rest/v1/targetingTypes.targetingOptions/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v1/targetingTypes.targetingOptions/get#try-it)

Gets a single targeting option.

### HTTP request

`GET https://displayvideo.googleapis.com/v1/targetingTypes/{targetingType}/targetingOptions/{targetingOptionId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `targetingType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v1/TargetingType`)`` Required. The type of targeting option to retrieve. Accepted values are: - `TARGETING_TYPE_APP_CATEGORY` - `TARGETING_TYPE_AGE_RANGE` - `TARGETING_TYPE_GENDER` - `TARGETING_TYPE_VIDEO_PLAYER_SIZE` - `TARGETING_TYPE_USER_REWARDED_CONTENT` - `TARGETING_TYPE_PARENTAL_STATUS` - `TARGETING_TYPE_CONTENT_INSTREAM_POSITION` - `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION` - `TARGETING_TYPE_DEVICE_TYPE` - `TARGETING_TYPE_BROWSER` - `TARGETING_TYPE_HOUSEHOLD_INCOME` - `TARGETING_TYPE_ON_SCREEN_POSITION` - `TARGETING_TYPE_CARRIER_AND_ISP` - `TARGETING_TYPE_OPERATING_SYSTEM` - `TARGETING_TYPE_DEVICE_MAKE_MODEL` - `TARGETING_TYPE_ENVIRONMENT` - `TARGETING_TYPE_CATEGORY` - `TARGETING_TYPE_VIEWABILITY` - `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS` - `TARGETING_TYPE_LANGUAGE` - `TARGETING_TYPE_GEO_REGION` - `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` - `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` - `TARGETING_TYPE_EXCHANGE` - `TARGETING_TYPE_SUB_EXCHANGE` - `TARGETING_TYPE_NATIVE_CONTENT_POSITION` - `TARGETING_TYPE_OMID` |
| `targetingOptionId` | `string` Required. The ID of the of targeting option to retrieve. |

### Query parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The Advertiser this request is being made in the context of. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v1/targetingTypes.targetingOptions#TargetingOption`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).